#!/bin/bash
# this file is used to auto-generate .qm file from .ts file.
# author: shibowen at linuxdeepin.com
export PATH=/usr/lib/qt6/bin:$PATH
desktop_ts_list=(`ls translations/desktop/*.ts`)
for ts in "${desktop_ts_list[@]}"
do
    printf "\nprocess ${ts}\n"
    lrelease "${ts}"
done

ts_list_gui=(`ls translations/gui/*.ts`)

for ts in "${ts_list_gui[@]}"
do
    printf "\nprocess ${ts}\n"
    lrelease "${ts}"
done

ts_list_tool=(`ls translations/tool/*.ts`)
for ts in "${ts_list_tool[@]}"
do
    printf "\nprocess ${ts}\n"
    lrelease "${ts}"
done